%define		api		1.0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-documents
Version:	3.12.1
Release:	3
License:	GPLv2+
Summary:	Document manager application for GNOME
Url:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool, libxml2-utils, itstool, xsltproc
BuildRequires:	pkgconfig(evince-document-3.0) >= 3.3.0
BuildRequires:	pkgconfig(evince-view-3.0) >= 3.3.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.90
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.13
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(goa-1.0) >= 3.1.90
BuildRequires:	pkgconfig(libgdata) >= 0.9.1
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.1
# gjs-1.0 is needed to get the path to gjs-console
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(zapojit-0.0)
BuildRequires:  pkgconfig(evince-document-3.0)
BuildRequires:  pkgconfig(tracker-sparql-1.0)
BuildRequires:  pkgconfig(webkitgtk-3.0)
BuildRequires:  docbook-style-xsl

Requires:	gjs
Requires:	tracker
Requires:	typelib(Rest)
Requires:	typelib(Soup)
Requires:	typelib(JavaScriptCore)
Requires:       %{_lib}tracker-gir1.0

Obsoletes:	%{_lib}gdprivate1.0_0 < 0.3.3
Obsoletes:	%{_lib}gdprivate1.0-devel < 0.3.3
Obsoletes:	%{_lib}gdprivate-gir1.0 < %{version}

%description
Documents is a document manager application for GNOME.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libdir}/%{name}/girepository-1.0/GdPrivate-%{api}.typelib
%{_libdir}/%{name}/*.so
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/dbus-1/services/*.service
%{_libdir}/%{name}/girepository-1.0/Gd-%{api}.typelib
%{_mandir}/man1/*
%{_datadir}/help/*/gnome-documents/*
%{_datadir}/gnome-shell/search-providers/org.gnome.Documents.search-provider.ini
%{_datadir}/applications/org.gnome.Documents.desktop
%{_datadir}/appdata/org.gnome.Documents.appdata.xml
%{_libexecdir}/gnome-documents-service

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.1-3
+ Revision: d88a5fd
- MassBuild#440: Increase release tag


